Last Comment Bug 679236 - Add Maemo6 geolocation provider (Qt Mobility based)
: Add Maemo6 geolocation provider (Qt Mobility based)
Status: RESOLVED FIXED
[inbound]
:
Product: Core
Classification: Components
Component: Geolocation (show other bugs)
: Trunk
: ARM Maemo
: -- normal (vote)
: mozilla9
Assigned To: Oleg Romashin (:romaxa)
:
:
Mentors:
Depends on: 680488
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-15 17:46 PDT by Oleg Romashin (:romaxa)
Modified: 2011-08-19 10:55 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Maemo6 Geolocation provider (4.49 KB, patch)
2011-08-15 17:47 PDT, Oleg Romashin (:romaxa)
no flags Details | Diff | Splinter Review
Maemo6 Geolocation provider (4.37 KB, patch)
2011-08-15 18:02 PDT, Oleg Romashin (:romaxa)
doug.turner: review-
Details | Diff | Splinter Review
Maemo6 Geolocation provider (11.14 KB, patch)
2011-08-15 19:09 PDT, Oleg Romashin (:romaxa)
doug.turner: review+
Details | Diff | Splinter Review
Fixed comments, to push (10.12 KB, patch)
2011-08-16 00:37 PDT, Oleg Romashin (:romaxa)
romaxa: review+
Details | Diff | Splinter Review

Description Oleg Romashin (:romaxa) 2011-08-15 17:46:03 PDT
This must be available in Maemo6 fennec.
Comment 1 Oleg Romashin (:romaxa) 2011-08-15 17:47:52 PDT
Created attachment 553324 [details] [diff] [review]
Maemo6 Geolocation provider
Comment 2 Oleg Romashin (:romaxa) 2011-08-15 18:02:48 PDT
Created attachment 553333 [details] [diff] [review]
Maemo6 Geolocation provider

Minor correction, we can use same request for all access
Comment 3 Doug Turner (:dougt) 2011-08-15 18:53:33 PDT
Comment on attachment 553333 [details] [diff] [review]
Maemo6 Geolocation provider

missing QTMLocationProvider*
Comment 4 Oleg Romashin (:romaxa) 2011-08-15 19:09:52 PDT
Created attachment 553343 [details] [diff] [review]
Maemo6 Geolocation provider

Ups, forgot hg add ...
Comment 5 Doug Turner (:dougt) 2011-08-15 19:44:23 PDT
Comment on attachment 553343 [details] [diff] [review]
Maemo6 Geolocation provider

Review of attachment 553343 [details] [diff] [review]:
-----------------------------------------------------------------

fix the dates, and explain the playThemeEffect.  other than that, looks good.

::: dom/system/unix/QTMLocationProvider.cpp
@@ +14,5 @@
> + *
> + * The Original Code is Mozilla Qt code.
> + *
> + * The Initial Developer of the Original Code is Mozilla Foundation.
> + * Portions created by the Initial Developer are Copyright (C) 2010

2011

@@ +87,5 @@
> +
> +NS_IMETHODIMP
> +QTMLocationProvider::Startup()
> +{
> +    QFeedbackEffect::playThemeEffect(QFeedbackEffect::ThemeBasicButton);

what does this do?

::: dom/system/unix/QTMLocationProvider.h
@@ +13,5 @@
> + *
> + * The Original Code is Mozilla Qt code.
> + *
> + * The Initial Developer of the Original Code is Mozilla Foundation.
> + * Portions created by the Initial Developer are Copyright (C) 2010

2011
Comment 6 Oleg Romashin (:romaxa) 2011-08-16 00:37:56 PDT
Created attachment 553396 [details] [diff] [review]
Fixed comments, to push

Also this patch need to be landed together with patch from bug 673395
Comment 8 Marco Bonardo [::mak] 2011-08-19 03:07:50 PDT
http://hg.mozilla.org/mozilla-central/rev/690b443ea689

Note You need to log in before you can comment on or make changes to this bug.